/**
 * 计划信息
 */
export interface OrderInfo {
  id?: number;
  orderCode?: string;
  orderName?: string;
  projectCode?: string;
  erpCode: string[];
  materialCode: string[];
  materialName?: string;
}

/**
 * 计划信息查询对象类型
 */
export interface OrderInfoQuery extends PageQuery {
  orderCode?: string;
}

/**
 * 计划信息分页对象
 */
export interface OrderInfoPageVO {
  /**
   * id
   */
  id?: number;
  /**
   * 计划编码
   */
  orderCode?: string;
  /**
   * 计划名称
   */
  orderName?: string;
  /**
   * 项目编码
   */
  projectCode?: string;
  /**
   * erp编码
   */
  erpCode: string;
  /**
   * 物料编码
   */
  materialCode: string;
  /**
   * 物料名称
   */
  materialName?: string;
}

/**
 * 表单类型
 */
export interface OrderForm {
  /**
   * id
   */
  id?: number;
  /**
   * 计划编码
   */
  orderCode?: string;
  /**
   * 计划名称
   */
  orderName?: string;
  /**
   * 项目编码
   */
  projectCode?: string;
  /**
   * erp编码
   */
  erpCode: string;
  /**
   * 物料编码
   */
  materialCode: string;
  /**
   * 物料名称
   */
  materialName?: string;

  orderNum?: number;
}
